## org.codehaus.groovy.ast.expr
Class ConstantExpression

Represents a constant expression such as null, true, false

author:
  James Strachan

version:
  $Revision: 8040 $

Field Summary
`ConstantExpression` | `EMPTY_STRING`
`ConstantExpression` | `EMTPY_EXPRESSION`
`ConstantExpression` | `FALSE`
`ConstantExpression` | `NULL`
`ConstantExpression` | `TRUE`
`ConstantExpression` | `VOID`
`Object` | `value`

Constructor Summary
`ConstantExpression(Object value)`

Method Summary
`String` | `getText()`
`Object` | `getValue()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ConstantExpression

    public ConstantExpression(Object value)

Method Detail

### getText

    public String getText()

### getValue

    public Object getValue()

  return:
    the value of this constant expression

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)